# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

import logging

from celery import shared_task

from heliport.core.user_logic.user_information import AuthenticationBackendManager

logger = logging.getLogger(__name__)


@shared_task
def import_user_data():
    logger.info("=== importing user information ===")
    return AuthenticationBackendManager().import_users_and_groups()
