# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.apps import AppConfig


class GateConnectionConfig(AppConfig):
    name = "heliport.gate_connection"

    def ready(self):
        from .conf import GateConnectionAppConf

        assert GateConnectionAppConf
