# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later
"""Provides the HELIPORT version as a string and as a numerical tuple."""

from importlib.metadata import version

heliport_version_string = version(__package__.split(".")[0])
heliport_version_tuple = tuple(map(int, heliport_version_string.split(".")))
